Skip to main content
GET
/
locations
/
{location_id}
/
drivers
/
{driver_id}
Get Driver
curl --request GET \
  --url https://api.crosoftware.com/v0/locations/{location_id}/drivers/{driver_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/locations/{location_id}/drivers/{driver_id}"

headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/locations/{location_id}/drivers/{driver_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": "<string>",
  "can_convert_to_group": true,
  "can_create_requests": true,
  "can_edit_requests": true,
  "can_reposition_asset": true,
  "city": "<string>",
  "disable_shift_tracking": true,
  "email": "jsmith@example.com",
  "id": 123,
  "interface_color": "<string>",
  "is_deactivated": true,
  "license_number": "<string>",
  "location_id": 123,
  "name": "<string>",
  "phone_number": "<string>",
  "state": "<string>",
  "third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "username": "<string>",
  "zip": "<string>",
  "can_assign_to": [
    123
  ],
  "can_dispatch_to": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

location_id
integer<int64>
required

Location identifier.

driver_id
string
required

Driver identifier.

Response

200 - application/json

Success

Driver profile.

address
string
required

Street address.

can_convert_to_group
boolean
required

Can driver convert to group.

can_create_requests
boolean
required

Can driver create requests.

can_edit_requests
boolean
required

Can driver edit requests.

can_reposition_asset
boolean
required

Can driver reposition asset.

city
string
required

Driver city.

disable_shift_tracking
boolean
required

Disable shift tracking.

email
string<email>
required

Email address.

id
integer<int64>
required

Driver user identifier.

interface_color
string
required

Hex string color identifier.

is_deactivated
boolean
required

Driver inactive if TRUE.

license_number
string
required

Driver's license number.

location_id
integer<int64>
required

Location identifier.

name
string
required

Name (free text).

phone_number
string
required

Phone number.

state
string
required

Driver state.

third_party_hauler_id
string<uuid>
required

Third party hauler identifier.

username
string
required

Username.

zip
string
required

Postal code (may include letters and symbols).

can_assign_to
integer<int64>[]

Truck identifier.

can_dispatch_to
integer<int64>[]

Truck identifier.